Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	lightweight GUI for xine
Name:      	oxine
Version:   	0.7.1
Release:   	2
License: 	GNU/GPL
URL:		http://oxine.sourceforge.net/
Group:     	Multimedia/Video
Source0: 	%{name}-%{version}.tar.gz
Source1:	oxine.desktop
Patch0:		oxine-destdir.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	xine-lib-devel 
BuildRequires:  libICE-devel
BuildRequires:  ImageMagick-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXt-devel
BuildRequires:  bzip2-devel
BuildRequires:  glibc-devel
BuildRequires:  openssl-devel
BuildRequires:  curl-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  libidn-devel
BuildRequires:  libjpeg-devel
BuildRequires:  lcms-devel
BuildRequires:  libtiff-devel
BuildRequires:  zlib-devel
BuildRequires:	vdr-devel

%description
oxine is a lightweight pure OSD (on screen display) GUI for the famous xine engine. oxine is particularly suited for set-top boxes or home entertainment systems.

%prep
%setup -n %{name}-%{version}
#%patch0 -p1

%build
./configure \
--prefix=%{_prefix} \
--mandir=%{_mandir} \
--enable-vdr \
--disable-debug
make

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT
rm -Rf $RPM_BUILD_ROOT%{_datadir}/xine/desktop
install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/applications
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/applications

%files
%defattr(-,root,root)
%_bindir
%_datadir/oxine
%_datadir/applications
%_datadir/locale

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Mar 10 2008 Christian Wasem <wasem@ccux-linux.de> 0.7.1-2
- rebuild against new ImageMagick (6.3.9.3),
- changed group to Multimedia\Video, added VDR support
* Wed Oct 31 2007 Christian Metzen <metzench@ccux-linux.de> 0.7.1-1
- Version update
* Sat Nov 04 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.6-1
- Initial Release
